Author Topic: wclGattServer error 327700 (WCL_E_BLUETOOTH_FEATURE_NOT_SUPPORTED)  (Read 721 times)

Offline maximee

  • Newbie
  • *
  • Posts: 2
  • Karma: 0
Hello,
I try to create a GATT Server with brframework.
I have written this code, but I get an error that I go through... Please could you help me ?
I run the Gatt Server on Windows LTSB 2016.

Code: [Select]
wclBluetoothManager FManager = new wclBluetoothManager();
FManager.Open();

wclBluetoothRadio Radio = FManager[0];

wclGattServer FServer = new wclGattServer();
int iRes = FServer.Initialize(Radio);
if (iRes == 327700)
    Console.WriteLine("Initialize server failed: 337700 (WCL_E_BLUETOOTH_FEATURE_NOT_SUPPORTED)");

Thanks !

Offline Mike Petrichenko

  • Bluetooth Framework Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 3628
  • Karma: 1000
    • Wireless Communication Libraries
Re: wclGattServer error 327700 (WCL_E_BLUETOOTH_FEATURE_NOT_SUPPORTED)
« Reply #1 on: December 07, 2020, 06:25:02 PM »
Hello,

It is probably because your hardware (dongle) does not support server mode.

Offline Mike Petrichenko

  • Bluetooth Framework Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 3628
  • Karma: 1000
    • Wireless Communication Libraries
Re: wclGattServer error 327700 (WCL_E_BLUETOOTH_FEATURE_NOT_SUPPORTED)
« Reply #2 on: December 07, 2020, 06:32:16 PM »
By the way, what is your OS build number? GattServer is supported on 15063 and above.

Offline maximee

  • Newbie
  • *
  • Posts: 2
  • Karma: 0
Re: wclGattServer error 327700 (WCL_E_BLUETOOTH_FEATURE_NOT_SUPPORTED)
« Reply #3 on: December 07, 2020, 07:18:48 PM »
Thank you Mike for your answer !
The dongle is an Edimax EW-7611ULB.
The OS is Windows 10 Enterprise LTSB 2016 Version 1607 (build number 14393.2906)

It may be probably the dongle so... ?
Any advice on a similar dongle that yould work or a specific option to check before buying another one ?

Offline Mike Petrichenko

  • Bluetooth Framework Developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 3628
  • Karma: 1000
    • Wireless Communication Libraries
Re: wclGattServer error 327700 (WCL_E_BLUETOOTH_FEATURE_NOT_SUPPORTED)
« Reply #4 on: December 07, 2020, 07:20:36 PM »
Its OS version. You must run at least 1703 (build 15063).

 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13